Como concerto este erro?

1. Como concerto este erro?

Sandro Souza
novatterra

(usa Arch Linux)

Enviado em 15/06/2021 - 18:56h

Estou tentando instalar o minecraft no manjaro pelo Tlauncher mas na hora de rodar o game recebo este erro, instalei a distro domingo passado, já rodei p pacman -Syu e tá redondinha, como resolvi isso, pfvr?

https://imgur.com/a/KNTva8k 



  


2. Re: Como concerto este erro?

Ruan
ru4n

(usa Debian)

Enviado em 15/06/2021 - 19:00h

instalou o driver de vídeo?



3. Re: Como concerto este erro?

Sandro Souza
novatterra

(usa Arch Linux)

Enviado em 15/06/2021 - 19:14h

separado não, tô usando o que vem por padrão na distro, como se instala ele assim como tu ta falando?


==================================================
Inteligência é a habilidade de evitar fazer o trabalho, e mesmo assim conseguir ter o trabalho realizado. (Linus Torvalds)


4. Re: Como concerto este erro?

5. Re: Como concerto este erro?

Sandro Souza
novatterra

(usa Arch Linux)

Enviado em 16/06/2021 - 03:43h

mhwd -l -d
--------------------------------------------------------------------------------
> PCI Device: /devices/pci0000:00/0000:00:02.1 (0380:8086:a002)
Display controller Intel Corporation Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller
--------------------------------------------------------------------------------
> INSTALLED:

NAME: video-linux
ATTACHED: PCI
VERSION: 2018.05.04
INFO: Standard open source drivers.
PRIORITY: 2
FREEDRIVER: true
DEPENDS: -
CONFLICTS: -
CLASSIDS: 0300 0380 0302
VENDORIDS: 1002 8086 10de



> AVAILABLE:

NAME: video-linux
ATTACHED: PCI
VERSION: 2018.05.04
INFO: Standard open source drivers.
PRIORITY: 2
FREEDRIVER: true
DEPENDS: -
CONFLICTS: -
CLASSIDS: 0300 0380 0302
VENDORIDS: 1002 8086 10de


--------------------------------------------------------------------------------
> PCI Device: /devices/pci0000:00/0000:00:02.0 (0300:8086:a001)
Display controller Intel Corporation Atom Processor D4xx/D5xx/N4xx/N5xx Integrated Graphics Controller
--------------------------------------------------------------------------------
> INSTALLED:

NAME: video-linux
ATTACHED: PCI
VERSION: 2018.05.04
INFO: Standard open source drivers.
PRIORITY: 2
FREEDRIVER: true
DEPENDS: -
CONFLICTS: -
CLASSIDS: 0300 0380 0302
VENDORIDS: 1002 8086 10de



> AVAILABLE:

NAME: video-linux
ATTACHED: PCI
VERSION: 2018.05.04
INFO: Standard open source drivers.
PRIORITY: 2
FREEDRIVER: true
DEPENDS: -
CONFLICTS: -
CLASSIDS: 0300 0380 0302
VENDORIDS: 1002 8086 10de

NAME: video-modesetting
ATTACHED: PCI
VERSION: 2020.01.13
INFO: X.org modesetting video driver.
PRIORITY: 1
FREEDRIVER: true
DEPENDS: -
CONFLICTS: -
CLASSIDS: 0300
VENDORIDS: *

NAME: video-vesa
ATTACHED: PCI
VERSION: 2017.03.12
INFO: X.org vesa video driver.
PRIORITY: 0
FREEDRIVER: true
DEPENDS: -
CONFLICTS: -
CLASSIDS: 0300
VENDORIDS: *


Warning: no configs for USB devices found!



==================================================
Inteligência é a habilidade de evitar fazer o trabalho, e mesmo assim conseguir ter o trabalho realizado. (Linus Torvalds)


6. Re: Como concerto este erro?

Sandro Souza
novatterra

(usa Arch Linux)

Enviado em 16/06/2021 - 04:10h


fiz o downgrade do mesa e exportei a variável mas ainda assim o erro persiste

==================================================
Inteligência é a habilidade de evitar fazer o trabalho, e mesmo assim conseguir ter o trabalho realizado. (Linus Torvalds)


7. Re: Como concerto este erro?

Sandro Souza
novatterra

(usa Arch Linux)

Enviado em 16/06/2021 - 19:44h

Andei dando uma googleada e descobri algo interessante:

https://imgur.com/a/ycyj1YN 


Se eu entendi certo esse comando tá apontando que meu OpenGL seria 2.0 ? não é de estranhar o erro, como atualizo pra uma versão superior? alguem sabe me dar essa dica, pfvr?

==================================================
Inteligência é a habilidade de evitar fazer o trabalho, e mesmo assim conseguir ter o trabalho realizado. (Linus Torvalds)